## ros-kinetic-marti-sensor-msgs 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(marti_sensor_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  geometry_msgs)

add_message_files(FILES
  Altitude.msg
  DifferentialMeasurement.msg
  DioPortState.msg
  DioRealTimeData.msg
  Direction.msg
  Exposure.msg
  Gyro.msg
  Velocity.msg
  WheelEncoder.msg
  WheelEncoderSet.msg
)

add_service_files(FILES
  SetExposure.srv
)

generate_messages(DEPENDENCIES
  geometry_msgs)

catkin_package(
  CATKIN_DEPENDS 
    message_runtime
    geometry_msgs
)

=== debian/changelog ===
ros-kinetic-marti-sensor-msgs (0.10.0-1xenial) xenial; urgency=high

  * Add explicit dependencies on std_msgs (#110 <https://github.com/swri-robotics/marti_messages/issues/110>)
  * Update minimum cmake version (#108 <https://github.com/swri-robotics/marti_messages/issues/108>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 19 Nov 2020 06:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.9.0-1xenial) xenial; urgency=high

  * Merge pull request #101 <https://github.com/swri-robotics/marti_messages/issues/101> from matt-attack/add-unknown-direction
  * Merge pull request #98 <https://github.com/swri-robotics/marti_messages/issues/98> from matt-attack/add-differential-heading
  * Merge branch 'add-differential-heading' of https://github.com/matt-attack/marti_messages into add-differential-heading
  * Fix out of bounds enum
  * Add unknown direction enum
  * Add differentialmeasurement message for DGPS/RTK
  * Contributors: Matthew, Matthew Bries, P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.8.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.7.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.6.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 24 May 2018 05:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.5.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 05 Apr 2018 05:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.4.0-1xenial) xenial; urgency=high

  * Add a Direction message to marti_sensor_msgs.
  * Contributors: Edward Venator

 -- Marc Alban <malban@swri.org>  Wed, 08 Nov 2017 06:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.3.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 28 Sep 2017 05:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.2.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 29 Aug 2017 05:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.1.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 15 Aug 2017 05:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.0.9-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.0.8-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 18 Mar 2017 05:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.0.7-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 06 Feb 2017 06:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.0.6-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.0.5-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.0.4-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.0.3-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 11 Mar 2016 06:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.0.2-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-kinetic-marti-sensor-msgs (0.0.1-1xenial) xenial; urgency=high

  * Initial Release
  * Contributors: Marc Alban, Neal Seegmiller, P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 22 Sep 2015 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-marti-sensor-msgs
Section: misc
Priority: optional
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: https://github.com/swri-robotics/marti_messages
Standards-Version: 3.9.2

Package: ros-kinetic-marti-sensor-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: marti_sensor_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-marti-sensor-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
